petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecTaggerBox

A box range used to tag values. For real scalars, this is just a closed interval; for complex scalars, the box is the closed region in the complex plane such that real(min) <= real(z) <= real(max) and imag(min) <= imag(z) <= imag(max). INF is an acceptable endpoint.

### Synopsis

    typedef struct {
      PetscScalar min;
      PetscScalar max;
    } VecTaggerBox;

### See Also

VecTaggerComputeIntervals()

### Level

beginner

### Location

src/vec/vscat/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages